﻿using Misc;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FLY.Thick.Base.UI
{
    public class LCUS1_dependOn:LCUS1
    {
        ParamDictionary paramDictionary;
        public LCUS1_dependOn(
            ParamDictionary paramDictionary) 
        {
            this.paramDictionary = paramDictionary;
            PortName = this.paramDictionary.GetValue("LCUS1_PortName", "COM1");
            this.paramDictionary.ValueChanged += (s, e) =>
            {
                if (e.Key == "LCUS1_PortName")
                {
                    PortName = e.Value as string;
                }
            };
        }
    }
}
